use std::ffi::c_void;

pub type AppMenu = c_void;

pub mod ffi {
    use super::AppMenu;

    unsafe extern "C" {
        pub fn wAppMenuGet(
            scr: *mut crate::screen::Screen,
            window: x11::xlib::Window,
        ) -> *mut AppMenu;

        pub fn wAppMenuDestroy(menu: *mut AppMenu);
    }
}
